//=========================================================
//  MusE
//  Linux Music Editor
//  $Id: meter.h,v 1.1.1.1.2.1 2008/05/21 00:28:53 terminator356 Exp $
//
//  (C) Copyright 2000 Werner Schweer (ws@seh.de)
//=========================================================

#ifndef __METER_H__
#define __METER_H__

#include <qframe.h>
#include <qpixmap.h>

class Meter : public QFrame {
   public:
      enum MeterType {DBMeter, LinMeter};
   private:  
      MeterType mtype;
      bool overflow;
      double val;
      double maxVal;
      double minScale, maxScale;
      int yellowScale, redScale;

      QPixmap bgPm;
      QPixmap fgPm;  // for double buffering

      Q_OBJECT
      virtual void drawContents(QPainter* p);
      virtual void resizeEvent(QResizeEvent*);
      virtual void mousePressEvent(QMouseEvent*);

   public slots:
      void resetPeaks();
      void setVal(int, int, bool);

   signals:
      void mousePress();

   public:
      Meter(QWidget* parent, MeterType type = DBMeter);
      void setRange(double min, double max);
      };
#endif

